commit f62039efd679ffa8719732c71535457eb3ec61e0
Author: David Edelsohn <dje.gcc@gmail.com>
Date:   Wed Nov 17 19:26:36 2021

    aix: detect power10 processor.
    
            For -mcpu=native, GCC needs to detect the processor.  This
    patch adds the processor value for Power10.
    
            Suggested by Kevin Alder.
    
    gcc/ChangeLog:
    
            * config/rs6000/driver-rs6000.c (detect_processor_aix): Add
            power10.
    
    (cherry picked from commit e3dbd2e14020d5a4f3401fa60dd5792b99fae108)

diff --git a/gcc/config/rs6000/driver-rs6000.c b/gcc/config/rs6000/driver-rs6000.c
index e23c445b198..4de373da95a 100644
--- a/gcc/config/rs6000/driver-rs6000.c
+++ b/gcc/config/rs6000/driver-rs6000.c
@@ -418,6 +418,9 @@ detect_processor_aix (void)
     case 0x20000:
       return "power9";
 
+    case 0x40000:
+      return "power10";
+
     default:
       return "powerpc";
     }

